import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.JsonNode;
import com.mashape.unirest.http.Unirest;
import com.mashape.unirest.http.exceptions.UnirestException;


public class YouAreEll {
    private String URL = "http://zipcode.rocks:8085";
    Console console = new Console();

    YouAreEll() {
    }


    public static void main(String[] args) {
        YouAreEll urlhandler = new YouAreEll();
        System.out.println(urlhandler.MakeURLCall("http://zipcode.rocks:8085/ids", "GET", ""));
        System.out.println(urlhandler.MakeURLCall("http://zipcode.rocks:8085/messages", "GET", ""));
    }

    public HttpResponse<JsonNode> get_ids() throws UnirestException {
        HttpResponse<JsonNode> request = null;
        try {
            request = Unirest.get(URL + "/ids")
                    .header("accept", "application/json")
                    .asJson();
            console.prettyPrint(request.getBody().getArray());
        } catch (
                UnirestException e) {
            System.out.println("Server Error");
        }
        return request;
    }

    public void get_messages() {
        try { HttpResponse<JsonNode> request = Unirest.get(URL + "/messages")
                .header("accept", "application/json")
                .asJson();
            console.prettyPrint(request.getBody().getArray());
        } catch (UnirestException e) {
            System.out.println("Server Error");
        }
    }

    public HttpResponse<JsonNode> postId(String payload) throws UnirestException {
       HttpResponse<JsonNode> jSonResponse = null;
        try{
            jSonResponse = Unirest.post(URL + "/ids")
                    .header("accept", "application/json")
                    .body(payload)
                    .asJson();
        } catch (UnirestException e) {
            System.out.println("Bad Request");
        }
        return jSonResponse;
    }

    public String MakeURLCall(String mainurl, String method, String jpayload) {
        return "nada";
    }
}
